Holger's Java API

## com.antelmann.net
Interface ServerLog

All Known Implementing Classes:
  ServerLogFile

    public interface ServerLog

ServerLog represents a log from a web-server and provides access to its content

Author:
  Holger Antelmann

Method Summary
`Enumeration<ServerLogEntry>` `getServerLogEntryEnumerator(Filter<ServerLogEntry> filter)` returns an Enumeration of all ServerLogEntry objects that are accepted by the given filter or all ServerLogEntries if the filter is null.

Method Detail

### getServerLogEntryEnumerator

    Enumeration<ServerLogEntry> getServerLogEntryEnumerator(Filter<ServerLogEntry> filter)

  returns an Enumeration of all ServerLogEntry objects that are accepted by the given filter or all ServerLogEntries if the filter is null.

  Returns:
    an Enumeration of ServerLogEntry objects; note that there may be null values in the Enumeration, if the entry couldn't be properly parsed.
  See Also:
    `ServerLogEntry`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads